/// <reference types="node" />
import { BufferReader, BufferChunksReader } from "./utils";
export default class Header {
    version: Buffer;
    prevHash: Buffer;
    merkleRoot: Buffer;
    time: number;
    bits: Buffer;
    nonce: number;
    buffer: Buffer;
    hash?: Buffer;
    private constructor();
    static fromBuffer(buf: Buffer): Header;
    static fromBufferReader(br: BufferReader | BufferChunksReader): Header;
    static fromHex(hex: string): Header;
    toBuffer(): Buffer;
    toHex(): string;
    getHash(): Buffer;
    getHash<T extends boolean>(hexStr: T): T extends true ? string : Buffer;
}
//# sourceMappingURL=header.d.ts.map