/// <reference types="node" />
import { BufferReader } from "./utils";
declare const NETWORK_BUF: {
    testnet: Buffer;
    mainnet: Buffer;
};
export interface ScriptInitOptions {
    opreturn?: boolean;
}
export interface ScriptChunk {
    opcodenum: number;
    len?: number;
    buf?: Buffer;
}
export interface ScriptGetBitcoms {
    maxBitcomLen: number;
}
export type ScriptBitcom = {
    bitcom: string;
    data: Buffer[];
    "19HxigV4QyBv3tHpQVcUEQyq1pzZVdoAut"?: {
        data: Buffer;
        type: string;
        encoding: string;
        name: string;
    };
    "1PuQa7K62MiKCtssSLKy1kh56WWU7MtUR5"?: {
        type: string;
        map: {
            [key: string]: string;
        };
    };
};
export default class Script {
    chunks: ScriptChunk[];
    buffer: Buffer;
    private constructor();
    static fromBuffer(buf: Buffer, options?: ScriptInitOptions): Script;
    static fromBufferReader(br: BufferReader, options?: ScriptInitOptions): Script;
    static fromHex(hex: string): Script;
    getOpReturn(): Buffer[][];
    parseBitcoms(): ScriptBitcom[];
    getBitcoms(options?: ScriptGetBitcoms): Set<string>;
    toBuffer(): Buffer;
    toHex(): string;
    toAddressBuf(): Buffer | undefined;
    toAddress(network?: keyof typeof NETWORK_BUF): string | undefined;
}
export {};
//# sourceMappingURL=script.d.ts.map