"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const crypto_1 = __importDefault(require("crypto"));
function sha256(buf) {
    return crypto_1.default.createHash("sha256").update(buf).digest();
}
function sha256sha256(buf) {
    return sha256(sha256(buf));
}
function ripemd160(buf) {
    return crypto_1.default.createHash("ripemd160").update(buf).digest();
}
function sha256ripemd160(buf) {
    return ripemd160(sha256(buf));
}
const Hash = {
    sha256,
    sha256sha256,
    ripemd160,
    sha256ripemd160,
};
exports.default = Hash;
//# sourceMappingURL=hash.js.map